Bug 620219 (CVE-2010-3901) - CVE-2010-3901 OpenConnect: Always validate server certificate, check server hostname against its certificate
Summary: CVE-2010-3901 OpenConnect: Always validate server certificate, check server h...
Status: CLOSED ERRATA
Alias: CVE-2010-3901
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100515,reported=20100729,sou...
Keywords: Security
Depends On: 620220
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-01 15:50 UTC by Jan Lieskovsky
Modified: 2011-06-30 07:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 13:26:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-08-01 15:50:14 UTC
OpenConnect upstream has released OpenConnect v2.25:
  [1] http://www.infradead.org/openconnect.html

addressing following security related issues (from [1]):
  OpenConnect v2.25 — 2010-05-15

    * Always validate server certificate, even when no extra --cafile
      is provided.
    * Add --no-cert-check option to avoid certificate validation.
    * Check server hostname against its certificate.
    * Provide text-mode function for reviewing and accepting "invalid"
      certificates.
    * Fix libproxy detection on NetBSD.

References:
  [2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=590873
  [3] ftp://ftp.infradead.org/pub/openconnect/openconnect-2.25.tar.gz

Comment 1 Jan Lieskovsky 2010-08-01 15:52:47 UTC
This issues affect the versions of the openconnect package, as shipped
with Fedora release of 12 and 13. Please rebase to new version.

Comment 2 Jan Lieskovsky 2010-08-01 15:53:54 UTC
Created openconnect tracking bugs for this issue

Affects: fedora-all [bug 620220]

Comment 3 David Woodhouse 2010-08-01 16:47:50 UTC
If we're going to treat this as a security advisory rather than the eventual completion of a known-missing feature (as I suppose we probably should), then I would very much appreciate it if someone from the security team could review my cert-validation code.

It sucks that I had to write this for myself, and that OpenSSL didn't provide a library function which did most of it for me. App developers are too stupid to be trusted with such things, as a rule.

See the verify_peer() and match_cert_hostname() functions, and helpers, at http://git.infradead.org/users/dwmw2/openconnect.git/blob/v2.25:/ssl.c#l496

Comment 4 David Woodhouse 2010-08-03 21:38:03 UTC
Updates processing seems to be a little slow atm.

https://admin.fedoraproject.org/updates/openconnect-2.25-1.fc12
https://admin.fedoraproject.org/updates/openconnect-2.25-1.fc13

Comment 5 Fedora Update System 2010-08-10 21:26:42 UTC
openconnect-2.25-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-08-10 21:44:08 UTC
openconnect-2.25-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Jan Lieskovsky 2010-10-15 14:31:28 UTC
The CVE identifier of CVE-2010-3901 has been assigned to this issue.


Note You need to log in before you can comment on or make changes to this bug.